Name:		python-distutils-extra
Version:	2.39
Release:	%mkrel 1
Summary:	Enhancements to the Python build system
Group:		Development/Python
License:	GPLv2+
URL:		https://launchpad.net/python-distutils-extra
Source0:	http://launchpad.net/python-distutils-extra/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python3-setuptools
       

%description
python-distutils-extra allows you to easily integrate gettext, themed icons
and GNOME documentation into your build and installation process. 

%package -n python3-distutils-extra
Summary:	Integrate more support into Python 3's distutils

%description -n python3-distutils-extra
Enables you to easily integrate gettext support, themed icons and
scrollkeeper based documentation into Python's distutils.

%prep
%setup -q
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build


%install
pushd %{py3dir}
%py3_install
chmod a+x %{buildroot}%{python3_sitelib}/DistUtilsExtra/command/build_extra.py
popd

%py2_install
chmod a+x %{buildroot}%{python2_sitelib}/DistUtilsExtra/command/build_extra.py



%files
%doc LICENSE doc/*
%{python2_sitelib}/DistUtilsExtra/
%{python2_sitelib}/python_distutils_extra*.egg-info

%files -n python3-distutils-extra
%doc LICENSE doc/*
%{python3_sitelib}/DistUtilsExtra/
%{python3_sitelib}/python_distutils_extra*.egg-info



%changelog
* Tue Feb 16 2016 philippem <philippem> 2.39-1.mga6
+ Revision: 962689
- update to 2.39

* Wed Oct 07 2015 barjac <barjac> 2.38-8.mga6
+ Revision: 887083
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 2.38-7.mga5
+ Revision: 747516
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.38-6.mga5
+ Revision: 728230
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.38-5.mga5
+ Revision: 687965
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.38-4.mga5
+ Revision: 628549
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.38-3.mga4
+ Revision: 543055
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.38-2.mga4
+ Revision: 498359
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 24 2013 philippem <philippem> 2.38-1.mga4
+ Revision: 457895
- Update to 2.38
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.37-2.mga3
+ Revision: 378661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 2.37-1.mga3
+ Revision: 296354
- update to 2.37

* Sun Sep 02 2012 philippem <philippem> 2.36-1.mga3
+ Revision: 287235
- New upstream release 2.36

* Mon Mar 05 2012 philippem <philippem> 2.32-1.mga2
+ Revision: 218506
- Update to 2.32.

* Thu Nov 17 2011 philippem <philippem> 2.31-1.mga2
+ Revision: 168411
- Update to 2.31

* Wed Oct 26 2011 philippem <philippem> 2.30-1.mga2
+ Revision: 158333
- update to new version 2.30

* Mon Oct 24 2011 philippem <philippem> 2.29-1.mga2
+ Revision: 157707
- new upstream

  + fwang <fwang>
    - new version 2.28

* Tue Apr 19 2011 dmorgan <dmorgan> 2.23-1.mga1
+ Revision: 88148
- imported package python-distutils-extra

